import request from '@/utils/request'

/**
 * 获取全部部门
 * @returns
 */
export function getAllDepart() {
  return request({
    url: '/api/sy/depart/getall',
    method: 'get'
  })
}

/**
 * 条件查询部门及其子部门
 * @param {*} data
 * @returns
 */
export function getDepartByCon(data) {
  return request({
    url: '/api/sy/depart/getcon',
    method: 'post',
    data
  })
}

/**
 * 模糊查询和固定查询混查
 * @param {*} data
 * @returns
 */
export function getDepartByConDefaultDepartCode(data) {
  return request({
    url: '/api/sy/depart/getcondefault',
    method: 'post',
    data
  })
}

/**
 * 获取全部主部门
 * @returns
 */
export function getAllParent(){
  return request({
    url: '/api/sy/depart/getallparent',
    method: 'post'
  })
}

/**
 * 获取全部子部门
 * @returns
 */
export function getAllChildren(){
  return request({
    url: '/api/sy/depart/getallchildren',
    method: 'post'
  })
}

export function getJjxmMap(){
  return request({
    url: '/api/zlgl/qcInspectionItem/mapList',
    method: 'post'
  })
}



